Bug 601012

Summary: vhost-net module should be loaded automatically
Product: [Fedora] Fedora Reporter: Andrew Cathrow <acathrow>
Component: kvmAssignee: Justin M. Forbes <jforbes>
Status: CLOSED CURRENTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: high    
Version: 14CC: amit.shah, berrange, borgan, clalance, crobinso, dwalsh, ehabkost, hbrock, laine, mst, mwagner, quintela, rbalakri, snagar, syeghiay, tburke, virt-maint, virt-maint
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 596891 Environment:
Last Closed: 2012-05-04 09:07:44 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Comment 2 Bug Zapper 2010-07-30 08:02:44 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Laine Stump 2010-10-22 12:30:24 EDT
I think it would be counter-productive to turn on vhost-net without also fixing Bug 642355. Without the new --checksum-fill rule in iptables, any RHEL5 / CentOS5 (as well as, I'm sure, several other OSes not yet identified) guest that had a virtio network interface would be unable to get a dhcp address.

I'll leave it to someone with a higher level of authority to decide if this should be made into an official dependency in bugzilla, or just left as a recommendation in the comments.
Comment 4 Cole Robinson 2012-05-04 09:07:44 EDT
This is fixed in already fixed in the qemu package in f16 and f17.

Either way, the KVM package was merged with the qemu package, so any future issues should be filed against the 'qemu' component.